// Code generated by "stringer -type=CertificateFilterDiscoveryStatus -trimprefix=CertificateFilterDiscoveryStatus -output zzz_CertificateFilterDiscoveryStatus_string.go"; DO NOT EDIT.

package sectigoapiclient

import "strconv"

func _() {
	// An "invalid array index" compiler error signifies that the constant values have changed.
	// Re-run the stringer command to generate them again.
	var x [1]struct{}
	_ = x[CertificateFilterDiscoveryStatusNotDeployed-1]
	_ = x[CertificateFilterDiscoveryStatusDeployed-2]
}

const _CertificateFilterDiscoveryStatus_name = "NotDeployedDeployed"

var _CertificateFilterDiscoveryStatus_index = [...]uint8{0, 11, 19}

func (i CertificateFilterDiscoveryStatus) String() string {
	i -= 1
	if i < 0 || i >= CertificateFilterDiscoveryStatus(len(_CertificateFilterDiscoveryStatus_index)-1) {
		return "CertificateFilterDiscoveryStatus(" + strconv.FormatInt(int64(i+1), 10) + ")"
	}
	return _CertificateFilterDiscoveryStatus_name[_CertificateFilterDiscoveryStatus_index[i]:_CertificateFilterDiscoveryStatus_index[i+1]]
}
